uk.gov.hmrc.referencechecker

# ModulusReferenceChecker

###
Related Doc: package referencechecker

#### trait ModulusReferenceChecker extends ReferenceChecker

Linear Supertypes
ReferenceChecker, AnyRef, Any
Known Subclasses
CorporationTaxReferenceChecker, EpayeReferenceChecker, LetterRemainderLookup, OtherTaxReferenceChecker, SdltReferenceChecker, SelfAssessmentReferenceChecker, UtrReferenceChecker
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ModulusReferenceChecker
2. ReferenceChecker
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### implicit class CharImprovements extends AnyRef

   Definition Classes
     ReferenceChecker

2. #### implicit class StringImprovements extends AnyRef

   Definition Classes
     ReferenceChecker

### Abstract Value Members

1. #### abstract val checkCharIndex: Int

2. #### abstract val letterToNumber: Map[Char, Int]

   Definition Classes
     ReferenceChecker

3. #### abstract val modulus: Int

4. #### abstract val refRegex: String

   Definition Classes
     ReferenceChecker

5. #### abstract val remainderLookupTable: List[Char]

6. #### abstract val weights: List[Int]

   Definition Classes
     ReferenceChecker

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def extraChecks: List[(String) ⇒ Boolean]

   Definition Classes
     ReferenceChecker

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

12. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

13. #### def isValid(reference: String): Boolean

    Definition Classes
      ReferenceChecker

14. #### def mainCheck(reference: String, weightedSum: Int): Boolean

    Definition Classes
      ModulusReferenceChecker → ReferenceChecker

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### final def notify(): Unit

    Definition Classes
      AnyRef

17. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

18. #### def prepareReference(reference: String): String

    Definition Classes
      ReferenceChecker

19. #### def referenceToValidate(reference: String): String

    Definition Classes
      ReferenceChecker

20. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

21. #### def toString(): String

    Definition Classes
      AnyRef → Any

22. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ReferenceChecker

### Inherited from AnyRef

### Inherited from Any

### Ungrouped